#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(verbose_torout_sleep, 0xbb8ef471, "_gpl");
SYMBOL_CRC(torture_hrtimeout_ns, 0x615c5465, "_gpl");
SYMBOL_CRC(torture_hrtimeout_us, 0x2b3de84b, "_gpl");
SYMBOL_CRC(torture_hrtimeout_ms, 0x1205ef04, "_gpl");
SYMBOL_CRC(torture_hrtimeout_jiffies, 0x52acfe88, "_gpl");
SYMBOL_CRC(torture_hrtimeout_s, 0x759571e0, "_gpl");
SYMBOL_CRC(torture_num_online_cpus, 0x0d535267, "_gpl");
SYMBOL_CRC(torture_offline, 0x447d9c95, "_gpl");
SYMBOL_CRC(torture_online, 0x3ff9be11, "_gpl");
SYMBOL_CRC(torture_onoff_init, 0xc94a93e3, "_gpl");
SYMBOL_CRC(torture_onoff_stats, 0x3e9619f5, "_gpl");
SYMBOL_CRC(torture_onoff_failures, 0x1be7d8be, "_gpl");
SYMBOL_CRC(torture_random, 0x52665f8b, "_gpl");
SYMBOL_CRC(torture_shuffle_task_register, 0xa6b0a962, "_gpl");
SYMBOL_CRC(torture_shuffle_init, 0x8b0e1d2f, "_gpl");
SYMBOL_CRC(torture_shutdown_absorb, 0x4c7529bd, "_gpl");
SYMBOL_CRC(torture_shutdown_init, 0xdbc5277a, "_gpl");
SYMBOL_CRC(stutter_wait, 0xe2430307, "_gpl");
SYMBOL_CRC(torture_stutter_init, 0x5a12a7da, "_gpl");
SYMBOL_CRC(torture_init_begin, 0x6c3ff11a, "_gpl");
SYMBOL_CRC(torture_init_end, 0xe6989fd3, "_gpl");
SYMBOL_CRC(torture_cleanup_begin, 0xc67a49d4, "_gpl");
SYMBOL_CRC(torture_cleanup_end, 0x688e6a64, "_gpl");
SYMBOL_CRC(torture_must_stop, 0x679d9e50, "_gpl");
SYMBOL_CRC(torture_must_stop_irq, 0x1b2fca48, "_gpl");
SYMBOL_CRC(torture_kthread_stopping, 0xf6d34fb5, "_gpl");
SYMBOL_CRC(_torture_create_kthread, 0xb3d1a7f4, "_gpl");
SYMBOL_CRC(_torture_stop_kthread, 0xaa37eafc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x92997ed8, "_printk" },
	{ 0x80a8e8e, "__cpu_online_mask" },
	{ 0x2ebe3135, "cpu_is_hotpluggable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xad4e6259, "remove_cpu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x24da0093, "rcu_inkernel_boot_has_ended" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xceb66bec, "sched_clock_cpu" },
	{ 0xda049b57, "current_task" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4c49eac8, "kmalloc_caches" },
	{ 0xfa667511, "kmalloc_trace" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xdc33ad1d, "kthread_stop" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf184d189, "kernel_power_off" },
	{ 0x7944e0fc, "tracing_off" },
	{ 0xb0747ed2, "rcu_cpu_stall_suppress" },
	{ 0xaaa918c9, "ftrace_dump" },
	{ 0x3238808f, "kthread_create_on_node" },
	{ 0x4e5d8b8e, "wake_up_process" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfb578fc5, "memset" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4f7f08e1, "set_cpus_allowed_ptr" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x7eb808d0, "add_cpu" },
	{ 0xd22c7f94, "__cpu_possible_mask" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa40544a5, "sched_set_normal" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x590696ef, "rcu_tasks_trace_qs_blkd" },
	{ 0x49d62e97, "rcu_trc_cmpxchg_need_qs" },
	{ 0xdceb3072, "__gcov_init" },
	{ 0x84a4b45d, "__gcov_exit" },
	{ 0xbb29b267, "__gcov_merge_add" },
	{ 0x4c462573, "param_ops_int" },
	{ 0xa3ffb30a, "param_ops_bool" },
	{ 0x7eb536a4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3D93458B44D8EF5B9A51E91");
